Skip to main content
POST
Create Exchange Rate Quote

Authorizations

Authorization
string
header
required

Oauth 2.0 authentication

Body

application/json

Request Object for quoting exchange rates.

quote_items
Request object for exchange rate quote. · object[]
required

Parameters required to request an exchange rate, passed in the quote_items array:

  • base_currency
  • base_amount
  • quote_currency
  • markup_percent
  • fx_id.

Required array length: 1 - 250 elements
organization
string

Organization this managed account belongs to, in the partner's hierarchy, in the form of a path.

Required string length: 2 - 100
Pattern: ^\w{2,20}(\/\w{2,20})*$

Response

A successful request returns the HTTP 200 OK status code and a JSON response body that shows quote exchange rate details.

Response Object for quoting exchange rates.

exchange_rate_quotes
Response object for fx service exchange currency. · object[]
required

Exchange rate details, specified as an array of object.

Required array length: 1 - 500 elements